Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator.config
Class GridConfiguration

    java.lang.Object
      lbg.simulator.config.GridConfiguration

All Implemented Interfaces:
  java.lang.Cloneable

    public class GridConfiguration

extends java.lang.Object
implements java.lang.Cloneable

Author:
  Cyril Briquet

Field Summary
`int` | `SEARCH_TIMEOUT`

Constructor Summary
`GridConfiguration(java.util.Properties props)`

Method Summary
`boolean` | `CLONE_SIMULATED_TRANSFERRED_OBJECTS()`
`java.lang.Object` | `clone()`
`int[]` | `DATA_PER_TASK()`
`int` | `DATA_PER_TASK(java.lang.String peer_id)`
`java.lang.String` | `format(boolean log_format)` Outputs the GridConfiguration, formatted either as a property file or as a log file.
`int[]` | `JOB_INIT_SHIFT()`
`int` | `JOB_INIT_SHIFT(java.lang.String peer_id)`
`int[]` | `JOBS_INTER_TIME_HI()`
`int` | `JOBS_INTER_TIME_HI(java.lang.String peer_id)`
`int[]` | `JOBS_INTER_TIME_LO()`
`int` | `JOBS_INTER_TIME_LO(java.lang.String peer_id)`
`int[]` | `JOBS_PER_PEER()`
`int` | `JOBS_PER_PEER(java.lang.String peer_id)`
`java.lang.String` | `PEER_BASE_NAME()`
`int` | `PEER_COUNT()`
`boolean[]` | `PEER_DATA_REPLICATION()`
`int[]` | `PEER_GROUP_SIZE()`
`int` | `PEER_GROUPS()`
`float[]` | `PEER_IDLE_REPLICATION_RATIO()`
`int[]` | `PEER_POWER()`
`boolean[]` | `PEER_STORAGE_AFFINITY()`
`boolean[]` | `PEER_TTG_POLICY()`
`int[]` | `RES_CACHE_CAPACITY()`
`int[]` | `RES_COUNT()`
`int[]` | `RES_MTBF()`
`int[]` | `RES_POWER_HI()`
`int[]` | `RES_POWER_LO()`
`int` | `resolvePeerID(java.lang.String peer_id)`
`int` | `size()`
`int[]` | `TASK_LEN_HI()`
`int` | `TASK_LEN_HI(java.lang.String peer_id)`
`int[]` | `TASK_LEN_LO()`
`int` | `TASK_LEN_LO(java.lang.String peer_id)`
`int[]` | `TASKS_PER_JOB()`
`int` | `TASKS_PER_JOB(java.lang.String peer_id)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SEARCH_TIMEOUT

    public final int SEARCH_TIMEOUT

Constructor Detail

### GridConfiguration

    public GridConfiguration(java.util.Properties props)
                      throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### format

    public java.lang.String format(boolean log_format)

  Outputs the GridConfiguration, formatted either as a property file or as a log file.

  Parameters:
    `log_format` - true to format GridConfiguration as a log file
  Returns:
    formatted GridConfiguration

### resolvePeerID

    public int resolvePeerID(java.lang.String peer_id)
                      throws GridException

  Throws:
    `GridException`

### size

    public int size()

### CLONE_SIMULATED_TRANSFERRED_OBJECTS

    public boolean CLONE_SIMULATED_TRANSFERRED_OBJECTS()

### PEER_BASE_NAME

    public java.lang.String PEER_BASE_NAME()

### PEER_GROUPS

    public int PEER_GROUPS()

### PEER_GROUP_SIZE

    public int[] PEER_GROUP_SIZE()

### PEER_COUNT

    public int PEER_COUNT()

### PEER_POWER

    public int[] PEER_POWER()

### PEER_TTG_POLICY

    public boolean[] PEER_TTG_POLICY()

### PEER_STORAGE_AFFINITY

    public boolean[] PEER_STORAGE_AFFINITY()

### PEER_DATA_REPLICATION

    public boolean[] PEER_DATA_REPLICATION()

### PEER_IDLE_REPLICATION_RATIO

    public float[] PEER_IDLE_REPLICATION_RATIO()

### RES_MTBF

    public int[] RES_MTBF()

### RES_COUNT

    public int[] RES_COUNT()

### RES_POWER_LO

    public int[] RES_POWER_LO()

### RES_POWER_HI

    public int[] RES_POWER_HI()

### RES_CACHE_CAPACITY

    public int[] RES_CACHE_CAPACITY()

### JOBS_PER_PEER

    public int[] JOBS_PER_PEER()

### JOBS_PER_PEER

    public int JOBS_PER_PEER(java.lang.String peer_id)
                      throws GridException

  Throws:
    `GridException`

### JOB_INIT_SHIFT

    public int[] JOB_INIT_SHIFT()

### JOB_INIT_SHIFT

    public int JOB_INIT_SHIFT(java.lang.String peer_id)
                       throws GridException

  Throws:
    `GridException`

### JOBS_INTER_TIME_LO

    public int[] JOBS_INTER_TIME_LO()

### JOBS_INTER_TIME_LO

    public int JOBS_INTER_TIME_LO(java.lang.String peer_id)
                           throws GridException

  Throws:
    `GridException`

### JOBS_INTER_TIME_HI

    public int[] JOBS_INTER_TIME_HI()

### JOBS_INTER_TIME_HI

    public int JOBS_INTER_TIME_HI(java.lang.String peer_id)
                           throws GridException

  Throws:
    `GridException`

### TASKS_PER_JOB

    public int[] TASKS_PER_JOB()

### DATA_PER_TASK

    public int[] DATA_PER_TASK()

### TASKS_PER_JOB

    public int TASKS_PER_JOB(java.lang.String peer_id)
                      throws GridException

  Throws:
    `GridException`

### DATA_PER_TASK

    public int DATA_PER_TASK(java.lang.String peer_id)
                      throws GridException

  Throws:
    `GridException`

### TASK_LEN_LO

    public int[] TASK_LEN_LO()

### TASK_LEN_LO

    public int TASK_LEN_LO(java.lang.String peer_id)
                    throws GridException

  Throws:
    `GridException`

### TASK_LEN_HI

    public int[] TASK_LEN_HI()

### TASK_LEN_HI

    public int TASK_LEN_HI(java.lang.String peer_id)
                    throws GridException

  Throws:
    `GridException`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.